Crash when tapping TOC button before article loads
Closed, ResolvedPublic

Description

Repro Steps

  1. Enable network link conditioner or otherwise use a slow connection
  2. Navigate to an uncached article
  3. Immediately tap on ToC

Expected results

Not being able to tap or ToC or nothing

Actual results

Crash: https://rink.hockeyapp.net/manage/apps/206527/app_versions/106/crash_reasons/49522752?type=crashes

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 1:26 PM
BGerstle-WMF renamed this task from Crash when tapping TOC button to Crash when tapping TOC button before article loads.Oct 24 2015, 1:26 PM
BGerstle-WMF set Security to None.
BGerstle-WMF added a subscriber: JMinor.

@JMinor similar to lang button, might want to disable this until data comes in

Checked with 5.0.0.465 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02

'2015 in sports' (and other years) article are good to check. While the article loads, ToC and other icons are inactive. The Save for offline reading is active and works - the loading article will be saved.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 10:04 PM
JMinor closed this task as Resolved.Nov 18 2015, 8:33 PM

Yeah, an article loading indicator would really help here too, just from a "why am I locked out of the buttons?" usability perspective, but actions are disabled now during load, so this bug is resolved.